﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentView xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:resx="clr-namespace:MyADA.Common.Views.Properties;assembly=MyADA.Common.Views"
             xmlns:ctrl="clr-namespace:CoreSDK.Controls;assembly=CoreSDK.MicroFramework.XamarinForms"
             xmlns:ContentView="clr-namespace:MyADA.Common.Views.ContentViews;assembly=MyADA.Common.Views"
             x:Class="MyADA.Common.Views.ContentViews.FilterView">
    
  <Grid Grid.ColumnSpacing="0">
    <Grid.ColumnDefinitions>
      <ColumnDefinition Width="*"/>
      <ColumnDefinition Width="3*"/>
    </Grid.ColumnDefinitions>

    <StackLayout Grid.Column="0" BackgroundColor="Black" Opacity="0.1" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
      <StackLayout.GestureRecognizers>
        <TapGestureRecognizer Tapped="CloseFilter"/>
      </StackLayout.GestureRecognizers>
    </StackLayout>

    <ScrollView Grid.Column="1" Orientation="Vertical" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
    
      <Grid Grid.RowSpacing="1" BackgroundColor="{DynamicResource BurgerTitleSeparatorsColor}">
        <Grid.RowDefinitions>
          <RowDefinition Height="50"/>
          <RowDefinition Height="Auto"/>
          <RowDefinition Height="*"/>
        </Grid.RowDefinitions>

        <Grid Grid.Row="0" BackgroundColor="{DynamicResource BurgerTitleBackgroundColor}" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand">
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*"/>
            <ColumnDefinition Width="40"/>
          </Grid.ColumnDefinitions>
          
          <StackLayout Grid.Column="1">
            <StackLayout.GestureRecognizers>
              <TapGestureRecognizer Tapped="CloseFilter"/>
            </StackLayout.GestureRecognizers>
            <Image Aspect="AspectFit" HorizontalOptions="StartAndExpand" 
                   VerticalOptions="CenterAndExpand" HeightRequest="22" Source="{Binding FilterStyleDetails, Converter={StaticResource ImageNameConverter}}" />
          </StackLayout>
        </Grid>

        <ctrl:RepeaterView Grid.Row="1" x:Name="repeaterFilter" ItemSpacing="1" HasDottedLines="False" VerticalOptions="Fill" HorizontalOptions="FillAndExpand"
                           ItemsSource="{Binding LeadFilterModelsCollections}">
          <ctrl:RepeaterView.ItemTemplate>
            <DataTemplate>

              <StackLayout Orientation="Horizontal" HorizontalOptions="FillAndExpand" Padding="10" BackgroundColor="{DynamicResource BurgerTitleBackgroundColor}">
                <Grid>
                  <Grid.GestureRecognizers>
                    <TapGestureRecognizer Tapped="SelectControl_Tapped"/>
                  </Grid.GestureRecognizers>
                  <Image Style="{DynamicResource RadioButtonWhiteImageStyle}" IsVisible="{Binding IsSelected, Converter={StaticResource ReverseBooleanConverter}}" VerticalOptions="CenterAndExpand">
                    <Image.GestureRecognizers>
                      <TapGestureRecognizer Tapped="TappedItemRepeater" Command="{Binding Path=BindingContext.DoFilterCommand, Source={x:Reference repeaterFilter}}" CommandParameter="{Binding }"/>
                    </Image.GestureRecognizers>
                  </Image>
                  <Image Style="{DynamicResource RadioButtonWhiteFilledImageStyle}" IsVisible="{Binding IsSelected}" VerticalOptions="CenterAndExpand">
                    <Image.GestureRecognizers>
                      <TapGestureRecognizer Tapped="TappedSecondItemRepeater" Command="{Binding Path=BindingContext.DoFilterCommand, Source={x:Reference repeaterFilter}}" CommandParameter="{Binding }"/>
                    </Image.GestureRecognizers>
                  </Image>
                </Grid>
                <ctrl:MyLabel Text="{Binding Libelle}" Style="{DynamicResource FilterBoldedMediumLabelStyle}" HorizontalOptions="StartAndExpand" VerticalOptions="CenterAndExpand"/>
              </StackLayout>

            </DataTemplate>
          </ctrl:RepeaterView.ItemTemplate>
        </ctrl:RepeaterView>

        <StackLayout Grid.Row="2" BackgroundColor="{DynamicResource BurgerTitleBackgroundColor}"/>
      </Grid>

    </ScrollView>
  </Grid>
</ContentView>